# %%

import tabula
import pandas as pd

# Path to the PDF file
file_path = r"Z:\chris\projects\family_finance\personal-finance-database\data\raw\chris' statements\credit cards\sc\sc_credit_card_eStatement_202303.pdf"

# Use tabula to read the tables from the PDF
tables = tabula.read_pdf(file_path, pages='all', lattice=True)

print(len(tables))
# %%
# 'tables' is a list of DataFrames, one for each table found in the PDF.
# You can access individual tables like this:
# df1 = tables[0]  # This is the first table
# df2 = tables[1]  # This is the second table
# df3 = tables[2] 
# df4 = tables[3] 
# From here, you can clean up and process the data in each DataFrame as needed.
# For example, you might need to rename columns, convert data types, handle missing values, etc.
tables = tabula.read_pdf(file_path, pages='all', stream=True)


for idx, table in enumerate(tables):

    print(idx)
    print(table)
# %%
df = tables[4]
# %%
# Replace the "\r" characters with a unique delimiter
df.replace(to_replace='\r', value='|', regex=True, inplace=True)
# %%
# Split the cells into separate rows
# Split the cells into separate rows
df['Date\r日期'] = df['Date\r日期'].str.split('|')
df = df.explode('Date\r日期')

# %%
df
# %%
# tables = tabula.read_pdf(file_path, pages='all', stream=True)
tables = tabula.read_pdf(file_path, pages='all', split_text=True)

# %%
